Subject: [bug#59113] [PATCH 0/9] gnu: gwcs: Fix build, update to 0.18.12

From: Sharlatan Hellseher <[email-masked]>
Date: Sun, 20 Nov 2022 18:10:28 +0000

Hi Chris,

Thanks for checking it.

If it's posible to merge the chain for x86_64 it would be nice to have at
least one working architecture. Meanwhile I'll check builds for others and
open upstream issues if required.

Regards,
Oleg

On Sun, 20 Nov 2022, 10:06 Christopher Baines, <[email-masked]> wrote:

>
> Sharlatan Hellseher <[email-masked]> writes:
>
> > Just a gentle ping on the status of this issue.  It solving build for a
> long
> > chain of packages which introduced during recent staging->merge.
>
> I did see this, although the information on [1] is a bit confused by the
> protobuf-2 problem (that's now been fixed).
>
> 1: https://qa.guix.gnu.org/issue/59113
>
> I think there is a significant change though, as it looks like while
> this fixes things on x86_64-linux, python-asdf no longer builds on other
> architectures due to dependencies failing to build, e.g. python-sgp4 on
> aarch64-linux.
>
> I'm still happy to look at merging these changes, but I thought I'd
> raise the non x86_64-linux failures with you.
>
> Chris
>